libetonyek::IWORKGeometryElement Class Reference documentation

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKGeometryElement Class Reference

`#include <IWORKGeometryElement.h>`

Inheritance diagram for libetonyek::IWORKGeometryElement:

## Public Member Functions
| IWORKGeometryElement (IWORKXMLParserState &state)
| IWORKGeometryElement (IWORKXMLParserState &state, IWORKGeometryPtr_t &geometry)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Private Member Functions
| IWORKGeometryElement (const IWORKGeometryElement &)
IWORKGeometryElement & | operator= (const IWORKGeometryElement &)

## Private Attributes
IWORKGeometryPtr_t *const | m_geometry
boost::optional< IWORKSize > | m_naturalSize
boost::optional< IWORKSize > | m_size
boost::optional< IWORKPosition > | m_pos
boost::optional< double > | m_angle
boost::optional< double > | m_shearXAngle
boost::optional< double > | m_shearYAngle
boost::optional< bool > | m_aspectRatioLocked
boost::optional< bool > | m_sizesLocked
boost::optional< bool > | m_horizontalFlip
boost::optional< bool > | m_verticalFlip

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKGeometryElement() [1/3]

libetonyek::IWORKGeometryElement::IWORKGeometryElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## ◆ IWORKGeometryElement() [2/3]

libetonyek::IWORKGeometryElement::IWORKGeometryElement | ( | IWORKXMLParserState & | state,
|  | IWORKGeometryPtr_t & | geometry
| ) |  |

## ◆ IWORKGeometryElement() [3/3]

libetonyek::IWORKGeometryElement::IWORKGeometryElement | ( | const IWORKGeometryElement & |  | ) |
| private

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKGeometryElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| overrideprotected

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKGeometryElement::element | ( | int | name | ) |
| overrideprotected

## ◆ endOfElement()

void libetonyek::IWORKGeometryElement::endOfElement | ( |  | ) |
| overrideprotected

## ◆ operator=()

IWORKGeometryElement& libetonyek::IWORKGeometryElement::operator= | ( | const IWORKGeometryElement & |  | ) |
| private

## Member Data Documentation

## ◆ m_angle

boost::optional<double> libetonyek::IWORKGeometryElement::m_angle
| private

Referenced by attribute(), and endOfElement().

## ◆ m_aspectRatioLocked

boost::optional<bool> libetonyek::IWORKGeometryElement::m_aspectRatioLocked
| private

Referenced by attribute(), and endOfElement().

## ◆ m_geometry

IWORKGeometryPtr_t* const libetonyek::IWORKGeometryElement::m_geometry
| private

Referenced by endOfElement().

## ◆ m_horizontalFlip

boost::optional<bool> libetonyek::IWORKGeometryElement::m_horizontalFlip
| private

Referenced by attribute(), and endOfElement().

## ◆ m_naturalSize

boost::optional<IWORKSize> libetonyek::IWORKGeometryElement::m_naturalSize
| private

Referenced by element(), and endOfElement().

## ◆ m_pos

boost::optional<IWORKPosition> libetonyek::IWORKGeometryElement::m_pos
| private

Referenced by element(), and endOfElement().

## ◆ m_shearXAngle

boost::optional<double> libetonyek::IWORKGeometryElement::m_shearXAngle
| private

Referenced by attribute(), and endOfElement().

## ◆ m_shearYAngle

boost::optional<double> libetonyek::IWORKGeometryElement::m_shearYAngle
| private

Referenced by attribute(), and endOfElement().

## ◆ m_size

boost::optional<IWORKSize> libetonyek::IWORKGeometryElement::m_size
| private

Referenced by element(), and endOfElement().

## ◆ m_sizesLocked

boost::optional<bool> libetonyek::IWORKGeometryElement::m_sizesLocked
| private

Referenced by attribute(), and endOfElement().

## ◆ m_verticalFlip

boost::optional<bool> libetonyek::IWORKGeometryElement::m_verticalFlip
| private

Referenced by attribute(), and endOfElement().

The documentation for this class was generated from the following files:

- IWORKGeometryElement.h
- IWORKGeometryElement.cpp